### File

`packages/eui/packages/components-next/src/lib/components/eui-growl/eui-growl.component.ts`

### Implements

`DoCheck` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-growl`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-growl.component.html`

### Index

###### Properties
containerViewChild differ Public el stopDoCheckPropagation timeout zIndex
###### Methods
onClick remove remove removeAll
###### Inputs
e2eAttr life position sticky style styleClass value
###### Outputs
clicked

### Constructor

`constructor(el: ElementRef, differs: IterableDiffers)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
differs | `IterableDiffers` | No

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-growl'`

life
Type : `number`
Default value : `3000`

position
Type : `string`

sticky
Type : `boolean`
Default value : `false`

style
Type : `any`

styleClass
Type : `string`

value
Type : `UxMessage[]`
Default value : `[]`

### Outputs

clicked
Type : `EventEmitter<any>`

### Methods

onClick
`onClick()`
Returns : `void`

remove
`remove(msg: UxMessage)`
Parameters :
Name | Type | Optional | Description
msg | `UxMessage` | No | The text message to appear in the container
Returns : `void`

remove
`remove(msg: UxMessage, msgel?: any)`
Parameters :
Name | Type | Optional
msg | `UxMessage` | No
msgel | `any` | Yes
Returns : `void`

removeAll
`removeAll()`
Removes all growl messages from the stack Returns : `void`

### Properties

containerViewChild
Type : `ElementRef<HTMLDivElement>`
Decorators : `@ViewChild('container')`

differ
Type : `IterableDiffer<UxMessage>`

Public el
Type : `ElementRef`

stopDoCheckPropagation
Type : `boolean`

timeout
Type : `any`

zIndex
Type : `number`

# result-matching ""

# No results matching ""